﻿var LRLogin = new SSOLoginApi();
LoginRadiusSSO.init(LRLogin.SSO_AppName);

var profileUrl = "https://anmeldung.tt.com/profile";
var loginUrl = "https://anmeldung.tt.com/login";

function init() {
    $("#ttcom_logout").remove();
    $("#ttcom_login a").css("color", "#ccc");
    $("#ttcom_login a").text("Lädt...");

    uttcCountComments();

    LRLogin.isLoggedIn(function (data) {
        if (data == false) {
            $("#ttcom_login a").removeAttr("style");
            $("#ttcom_login a").text("Anmelden");

            var service = "tt.com";

            if (window.location.href.indexOf("/club") > -1) {
                service = "club";
            }

            $("#ttcom_login a").attr("href", loginUrl + "?returnUrl=" + encodeURIComponent(window.location) + "&srv=" + encodeURIComponent(service));

            ttPremiumContent(false)
            initUttcCommenting();

        } else {
            showProfileButton();

            LRLogin.getRights(function (data) {
                initUttcCommenting();

                if (data == null || typeof data == "undefined") {
                    ttPremiumContent(false);
                }

                ttPremiumContent(data.permitted);
            });
        }
    });
}

function showProfileButton() {
    var service = "tt.com";

    if (window.location.href.indexOf("/club") > -1) {
        service = "club";
    }

    var url = profileUrl + "?returnUrl=" + encodeURIComponent(window.location) + "&srv=" + encodeURIComponent(service);
    var html = '<a href="' + url + '"><span aria-hidden="true" class="tt-icon tt-icon-user"></span> TT Benutzerkonto</a>';
    $("#ttcom_login").html(html);
}

function ttPremiumContent(method) {

    switch (method) {

        case true:
            jQuery(".pc #article_content,.uttc_login_form").show();
            jQuery(".pcInfo").remove();
            break;

        case false:
            jQuery(".pcInfo .more").click(function () { jQuery(".pcInfo .hidden").removeClass("hidden"); jQuery(this).remove(); });

            if ($(".pc #article_content").length > 0) {
                jQuery("#article_content").remove();
                jQuery(".article_intro").parent().append(getLogWallTemplate());
            }
    }

    if (LRLogin.rights == null || LRLogin.rights.isCustomer == false) {
        var url = loginUrl + "?returnUrl=" + encodeURIComponent(window.location) + "&srv=club";
        jQuery(".clubonly").html('<span style="line-height:20px"><a href="' + url + '" class="green_hover">Um diesen TT-Club-Vorteil nutzen zu können, melden Sie sich bitte hier</a> an.</span>');
    }
}

var QueryString = function () {
    // This function is anonymous, is executed immediately and 
    // the return value is assigned to QueryString!
    var query_string = {};
    var query = window.location.search.substring(1);
    var vars = query.split("&");
    for (var i = 0; i < vars.length; i++) {
        var pair = vars[i].split("=");
        // If first entry with this name
        if (typeof query_string[pair[0]] === "undefined") {
            query_string[pair[0]] = pair[1];
            // If second entry with this name
        } else if (typeof query_string[pair[0]] === "string") {
            var arr = [query_string[pair[0]], pair[1]];
            query_string[pair[0]] = arr;
            // If third or later entry with this name
        } else {
            query_string[pair[0]].push(pair[1]);
        }
    }
    return query_string;
}();

//	Fehler auffangen
function initUttc() { }
function uttcCountComments() { }

// --------------------------------------------------------------------------------------
function getCookie(cname) {
    var name = cname + "=";
    var ca = document.cookie.split(';');
    for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) == ' ') c = c.substring(1);
        if (c.indexOf(name) == 0) return c.substring(name.length, c.length);
    }
    return "";
}

function setCookie(name, value, expiration) {
    document.cookie = name + "=" + value + "; expires=" + expiration + "; path=/";
}

$(document).ready(init);

// TEMPLATE
function getLogWallTemplate() {
    var url = window.location.href;
    var data = '<p style="margin-top:20px; font-style: italic">Dieser Artikel ist bis 10.00 Uhr exklusiv TT-Abonnenten zugänglich. Um diesen Vorteil nutzen zu können loggen Sie sich einfach mit Ihren Zugangsdaten ein. Beachten Sie dabei, dass Sie ihren Abozugang einmalig online aktivieren müssen!</p>';
    data += '<div style="margin-top:20px; text-align:center;"><a class="more hover green" href="' + loginUrl + '?returnUrl=' + encodeURIComponent(url) + '&srv=club">Hier geht es zur Anmeldung</a><div>';

    return data;
}


// ************************************************************************************************************************
// COMMENTING FUNCTION
// ************************************************************************************************************************
// ------------------------------------------------------------------------------------------------------------------------
// Initialize Comments
// ------------------------------------------------------------------------------------------------------------------------
function initUttcCommenting() {
    if (LRLogin.QueryString.tab != "diskussion") {
        return;
    }

    jQuery('#articleDiscussion .modul_info .more').click(function () {
        jQuery('#articleDiscussion .modul_info .hidden').removeClass('hidden');
        jQuery(this).remove();
    });

    var uttcId = jQuery("#the_article #the_article_id").val();
    var uttcCat = jQuery("#the_article header .article_categories").text();
    var uttcTitle = jQuery("#the_article header .article_title").text();
    var uttcImage = jQuery("#the_article .article_image .photo").attr("src");
    var uttcUrl = jQuery("#the_article #the_article_url").val();
    var uttcType = "article";
    var uid = "";

    if (LRLogin.profile != null && typeof LRLogin.profile != "undefined") {
        uid = LRLogin.profile.Uid;
    }

    jQuery.ajax({
        url: "https://anmeldung.tt.com/api/Comments/uttcCommentAPI.php",
        dataType: "jsonp",
        data: "uttcId=" + uttcId + "&uttcType=" + uttcType + "&uttcCat=" + uttcCat + "&uttcTitle=" + uttcTitle + "&uttcImage=" + uttcImage + "&uttcUrl=" + uttcUrl + "&uid=" + uid,
        jsonp: 'callback',
        success: function (data) {
            if (data.output) {
                jQuery("#articleDiscussionLoader").html(data.output).removeClass("loading");
            }
        }
    });
}

// ------------------------------------------------------------------------------------------------------------------------
// Write Comment
// ------------------------------------------------------------------------------------------------------------------------
function uttcCommentWriteAnswer(commentid, answerUser) {

    var _form = jQuery('#uttc-comment-write').clone();

    if (!answerUser) {
        if (jQuery('#writeAnswer' + commentid).length <= 0) {
            _form.find('input[name="uttcCommentParent"]').val(commentid);
            _form.find('.button .text').text('Antworten');
            jQuery('#comment' + commentid + ' .comment_content').append(_form.attr("id", "writeAnswer" + commentid));
            jQuery("#writeAnswer" + commentid).focus();
            jQuery('#writeAnswer' + commentid + ' .button').attr("onclick", "document.getElementById('writeAnswer" + commentid + "').submit();");
        }
    } else {
        if (jQuery('#writeAnswer' + answerUser).length <= 0) {
            _form.find('input[name="uttcCommentParent"]').val(commentid);
            _form.find('input[name="uttcCommentAnswer"]').val(answerUser);
            _form.find('.button .text').text('Antworten');
            jQuery('#answers' + commentid + ' #comment' + answerUser + ' .comment_content').append(_form.attr("id", "writeAnswer" + answerUser));
            jQuery("#writeAnswer" + answerUser).focus();
            jQuery('#writeAnswer' + answerUser + ' .button').attr("onclick", "document.getElementById('writeAnswer" + answerUser + "').submit();");
        }
    }

}

// ------------------------------------------------------------------------------------------------------------------------
//	Uttc Rate Comment
// ------------------------------------------------------------------------------------------------------------------------
function uttcRateComment(id, value) {

    jQuery('#uttcCommentRateForm .uttcCommentHiddenFields').html('<input type=\'hidden\' name=\'uttcRateId\' value=\'' + id + '\'>');
    jQuery('#uttcCommentRateForm .uttcCommentHiddenFields').append('<input type=\'hidden\' name=\'uttcRateValue\' value=\'' + value + '\'>');

    document.getElementById('uttcCommentRateForm').submit();

}

// ------------------------------------------------------------------------------------------------------------------------
// Count comments
// ------------------------------------------------------------------------------------------------------------------------

function uttcCountComments() {

    var uttcId = jQuery("#the_article #the_article_id").val();
    var uttcCat = jQuery("#the_article header .article_categories").text();
    var uttcTitle = jQuery("#the_article header .article_title").text();
    var uttcImage = jQuery("#the_article .article_image .photo").attr("src");
    var uttcUrl = jQuery("#the_article #the_article_url").val();
    var uttcType = "article";

    jQuery.ajax({
        dataType: 'jsonp',
        jsonp: 'jsonp_callback',
        url: "https://anmeldung.tt.com/api/Comments/uttcCommentsCount.php",
        data: "uttcId=" + uttcId,
        success: function (data) {
            if (data.count > 0) {
                jQuery('#article_tabs .articleDiscussion > a > span:eq(1)').append(' <small>(' + data.count + ')</small>');
            }
        }
    });

}


// ------------------------------------------------------------------------------------------------------------------------
// Uttc Report
// ------------------------------------------------------------------------------------------------------------------------

function uttcReportComment(commentid, type) {

    var _form = jQuery('#uttc-comment-write').clone();
    var formId = '#reportComment' + commentid;

    if (jQuery(formId).length <= 0) {
        _form.find('input[name="uttcCommentParent"]').val(commentid);
        _form.find('textarea').attr("name", "report");
        _form.find('.button .text').text('Beitrag melden');
        _form.find('a.button').removeAttr("onclick");
        _form.find('a.button').click(function () {
            $(formId).submit();
        });
        _form.attr("action", "https://anmeldung.tt.com/api/Comments/uttcCommentReport.php?uid=" + LRLogin.profile.Uid);
        jQuery('#comment' + commentid + ' .comment_content').append(_form.attr("id", "reportComment" + commentid));
        jQuery("#reportComment" + commentid).focus();
    }

}

// ------------------------------------------------------------------------------------------------------------------------
//	Uttc Write Answer
// ------------------------------------------------------------------------------------------------------------------------

function uttcCommentLoadAnswers(id) {

    var data = {};
    data.id = id;
    data.uid = LRLogin.profile.Uid;

    $.ajax({
        dataType: 'jsonp',
        url: "https://anmeldung.tt.com/api/Comments/uttcCommentAnswers.php",
        data: data,
        success: function (data) {
            $('#answers' + id).html(data.html);
        }
    });

}